;;; -*- Mode:LISP; Package:USER; Readtable:ZL; Base:10 -*-

(defvar testnums
	(loop for ex from 24. to 72.
	      as big  = (^ 2 ex)
	      as big2 = (+ big 256.)
	      as big3 = (+ big 257.)
	      append (list big big2 big3)))

(defun testnums (&optional (test "OLD"))
  (let ((outfile (pathname (format nil "glass:temp;test-bignums-~A"  test))))
    (with-open-file (out outfile :direction :output)
      (dolist (num testnums)
	(let ((*standard-output* out)) (si:describe-bignum num nil)))
      outfile)))
